<?php

class formRvupOptions extends cmsForm {
	
	public $is_tabbed = true;

    public function init() {

        return array(
		
			array(
                'type' => 'fieldset',
                'title' => LANG_RVUP_GROUPS_OPTIONS,
                'childs' => array(

					new fieldListGroups('groups_hidden', array(
                        'title' => LANG_RVUP_GROUPS_HIDDEN,
                        'hint' => LANG_RVUP_GROUPS_HIDDEN_HINT,
                    )),

					new fieldListGroups('groups_forbinden', array(
                        'title' => LANG_RVUP_GROUPS_FORBINDEN,
                        'hint' => LANG_RVUP_GROUPS_FORBINDEN_HINT
                    )),
					
					new fieldCheckbox('same_group', array(
                        'title' => LANG_RVUP_SAME_GROUP,
						'hint' => LANG_RVUP_SAME_GROUP_HINT,
                        'default' => 1
                    ))

                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_RVUP_TEMPLATE,
                'childs' => array(

                    new fieldList('page_options', array(
                        'title' => LANG_RVUP_PAGE_OPTIONS,
                        'default' => 'hide_fields',
                        'items' => array(
                            'hide_fields'  => LANG_RVUP_PAGE_OPTION_HIDE_FIELDS,
                            'error' => LANG_RVUP_PAGE_OPTION_ERROR
                        )
                    )),
					
					new fieldString('popup_message', array(
                        'title' => LANG_RVUP_PAGE_POPUP_MESSAGE,
                        'hint' => LANG_RVUP_PAGE_POPUP_MESSAGE_HINT,
						'visible_depend' => array('page_options' => array('show' => array('hide_fields')))
                    )),
					
					new fieldCheckbox('hide_avatar', array(
                        'title' => LANG_RVUP_HIDE_AVATAR,
						'hint' => LANG_RVUP_HIDE_AVATAR_HINT,
						'default' => 0,
                        'visible_depend' => array('page_options' => array('show' => array('hide_fields')))
                    )),
					
					new fieldCheckbox('allow_messages', array(
                        'title' => LANG_RVUP_ALLOW_MESSAGES,
						'hint' => LANG_RVUP_ALLOW_MESSAGES_HINT,
                        'visible_depend' => array('page_options' => array('show' => array('hide_fields')))
                    )),
					
					new fieldString('error_message', array(
                        'title' => LANG_RVUP_PAGE_ERROR_MESSAGE,
                        'hint' => LANG_RVUP_PAGE_ERROR_MESSAGE_HINT,
						'visible_depend' => array('page_options' => array('show' => array('error')))
                    ))

                )
            )

        );

    }

}
