<div id="closed_message">
	<div class="closed_message_cont">
		<h2><span><?php echo $message; ?></span></h2>
		<div class="for_inputs">
			<input class="button-back" type="button" onclick="history.back();" value="<?php echo LANG_BACK; ?>"/>
			<input class="button-close" type="button" value="<?php echo LANG_CLOSE; ?>"/>
		</div>
	</div>
</div>
<style>
	#closed_message {
		position: absolute;
		bottom: 0;
		left: 0;
		width: 100%;
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		background-color: rgba(0,0,0,.8);
		z-index: 999999;
		transition: 1s;
		transition-delay: .3s;
	}
	#closed_message.passive {
		height: 0;
		opacity: 0;
	}
	#closed_message .closed_message_cont {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		text-align: center;
		background: #fff;
		width: 280px;
		height: 280px;
		border-radius: 20px;
		padding: 20px;
		box-sizing: border-box;
		overflow-y: auto;
		position: relative;
		opacity: 1;
		transition: .5s;
	}
	#closed_message.passive .closed_message_cont {
		opacity: 0;
		transform: translate(0, -200%);
	}
	.closed_message_cont > * {
		margin: 1em 0;
		width: 240px;
	}
</style>
<script>
	$(function() {
		$(".button-close").click(function(){
			$("#closed_message").addClass("passive");
		});
	});
</script>